# TYCamport3: TY_CAMERA_INTRINSIC Struct Reference

TY_CAMERA_INTRINSIC Struct Reference

`#include <TYApi.h>`

## Public Attributes

float | data [3 *3]

## Detailed Description

a 3x3 matrix

. | . | .
--- | --- | ---
fx | 0 | cx
0 | fy | cy
0 | 0 | 1

See also
  TYGetStruct Usage:
  TY_CAMERA_INTRINSIC intrinsic;
  TYGetStruct(hDevice, some_compoent, TY_STRUCT_CAM_INTRINSIC, &intrinsic, sizeof(intrinsic));

Definition at line 753 of file TYApi.h.

The documentation for this struct was generated from the following file:

- TYApi.h